Cocoon API: Class ServletDCPProcessor

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.dcp
Class ServletDCPProcessor

    java.lang.Object
      |
      +--org.apache.cocoon.dcp.DefaultDCPProcessor
            |
            +--org.apache.cocoon.dcp.ServletDCPProcessor

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  DCPExample

public abstract class ServletDCPProcessor
extends DefaultDCPProcessor

The convenience class that all DCP objects willing to access the servlet request parameters should extend.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:18 $
Author:
  Ricardo Rocha

Field Summary
`protected javax.servlet.http.HttpServletRequest` | `request`

Fields inherited from class org.apache.cocoon.dcp.DefaultDCPProcessor
`document, parameters`

Constructor Summary
`ServletDCPProcessor()`

Method Summary
`void` | `init(Configurations configurations)` Initialize the class by passing its configurations.

Methods inherited from class org.apache.cocoon.dcp.DefaultDCPProcessor
`createAttribute, createCDATASection, createComment, createDocumentFragment, createElement, createEntityReference, createProcessingInstruction, createTextNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected javax.servlet.http.HttpServletRequest request

Constructor Detail

### ServletDCPProcessor

    public ServletDCPProcessor()

Method Detail

### init

    public void init(Configurations configurations)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Overrides:
    `init` in class `DefaultDCPProcessor`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.